{{- if .IsBlock -}}
    <figure>
        <img src="{{ .Destination | safeURL }}"
            {{- with .Text }} alt="{{ . }}"{{ end -}}
        >
        {{- with .Title }}<figcaption>{{ . }}</figcaption>{{ end -}}
    </figure>
{{- else -}}
    <img src="{{ .Destination | safeURL }}"
        {{- with .Text }} alt="{{ . }}"{{ end -}}
        {{- with .Title }} title="{{ . }}"{{ end -}}
    >
{{- end -}}

